# $Revision: 1.9 $, $Date: 2009/08/25 11:18:32 $
Summary:	Introspection for GObject libraries
Name:		gobject-introspection
Version:	0.6.4
Release:	1
License:	LGPL v2+ (giscanner) and GPL v2+ (tools)
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gobject-introspection/0.6/%{name}-%{version}.tar.bz2
# Source0-md5:	5cc41cec231953003c628ccf16c576c9
Patch0:		%{name}-libtool.patch
URL:		http://live.gnome.org/GObjectIntrospection
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
BuildRequires:	bison
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	libffi-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
Obsoletes:	gobject-introspection-libs < %{version}-%{release}
Suggests:	gir-repository
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools for introspecting GObject-based frameworks.

%package devel
Summary:	Header files for gobject-introspection library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.16.0

%description devel
Header files for gobject-introspection library.

%package static
Summary:	Static gobject-introspection library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gobject-introspection library.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{py_sitedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_libdir}/gobject-introspection/giscanner $RPM_BUILD_ROOT%{py_sitedir}/

rm $RPM_BUILD_ROOT%{py_sitedir}/giscanner/*.{a,la}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libgirepository-everything-1.0.so.1.0.0
%attr(755,root,root) %ghost %{_libdir}/libgirepository-everything-1.0.so.1
%attr(755,root,root) %{_libdir}/libgirepository-1.0.so.0.0.0
%attr(755,root,root) %ghost %{_libdir}/libgirepository-1.0.so.0
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/g-ir-compiler
%attr(755,root,root) %{_bindir}/g-ir-generate
%attr(755,root,root) %{_bindir}/g-ir-scanner
%{_mandir}/man1/g-ir-compiler.1*
%{_mandir}/man1/g-ir-generate.1*
%{_mandir}/man1/g-ir-scanner.1*
%attr(755,root,root) %{_libdir}/libgirepository-everything-1.0.so
%attr(755,root,root) %{_libdir}/libgirepository-1.0.so
%{_pkgconfigdir}/gobject-introspection-1.0.pc
%{_pkgconfigdir}/gobject-introspection-no-export-1.0.pc
%{_includedir}/gobject-introspection-1.0
%{_libdir}/libgirepository-1.0.la
%{_libdir}/libgirepository-everything-1.0.la
%{_datadir}/aclocal/introspection.m4
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/*.gir
%dir %{py_sitedir}/giscanner
%{py_sitedir}/giscanner/*.py[co]
%{py_sitedir}/giscanner/_giscanner.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libgirepository-1.0.a
%{_libdir}/libgirepository-everything-1.0.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gobject-introspection.spec,v $
Revision 1.9  2009/08/25 11:18:32  patrys
- more files

Revision 1.8  2009/08/25 11:15:45  patrys
- 0.6.4

Revision 1.7  2009/07/06 17:50:15  patrys
- drop libs package
- move the rest of old main package to devel
- rel 2

Revision 1.6  2009/07/06 17:45:13  patrys
- move .gir files and binaries to devel

Revision 1.5  2009/07/06 17:16:45  patrys
- package python dir

Revision 1.4  2009/07/06 17:11:44  patrys
- 0.6.3

Revision 1.3  2009/02/17 20:37:27  megabajt
- updated to 0.6.2

Revision 1.2  2008/11/23 21:02:49  aredridel
- S: gir-repository

Revision 1.1  2008/11/22 20:55:56  aredridel
- 0.6.0
